<?php
/**
 * @package WordPress
 * @subpackage Artsavius_Wave
 */

automatic_feed_links();

if ( function_exists('register_sidebar') ) {
	register_sidebar(array(
		'name'          => __('Right','aw'),
		'id'            => 'sidebar_right',
		'before_widget' => '<li id="%1$s" class="widget %2$s">',
		'after_widget' => '</li>',
		'before_title' => '<h4 class="widgettitle">',
		'after_title' => '</h4>',
	));
	
	register_sidebar(array(
		'name'          => __('Footer Left','aw'),
		'id'            => 'sidebar_footer_left',
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget' => '<div class="clear"></div></div>',
		'before_title' => '<h4 class="widgettitle">',
		'after_title' => '</h4>',
	));
	
	register_sidebar(array(
		'name'          => __('Footer Right','aw'),
		'id'            => 'sidebar_footer_right',
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget' => '<div class="clear"></div></div>',
		'before_title' => '<h4 class="widgettitle">',
		'after_title' => '</h4>',
	));
	
	register_sidebar(array(
		'name'          => __('Footer Center','aw'),
		'id'            => 'sidebar_footer_center',
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget' => '<div class="clear"></div></div>',
		'before_title' => '<h4 class="widgettitle">',
		'after_title' => '</h4>',
	));
}

$themename = "Artsavius Wave";
$shortname = "aw";

function mytheme_add_admin() {
global $themename, $shortname;

add_theme_page(__('Theme options','aw'), __('Theme options','aw'), 'edit_themes', basename(__FILE__), 'mytheme_admin');
}

function mytheme_admin() { 

if (isset($_POST['update_aw'])) {
if ($_POST['aw_category_ids'] != "") 
{ $awcatids = implode(",", $_POST['aw_category_ids']);} else {$awcatids = "";};
if ($_POST['aw_page_ids'] != "") 
{ $awpagids = implode(",", $_POST['aw_page_ids']);} else {$awpagids = "";};
update_option('aw_category_ids', $awcatids);
update_option('aw_page_ids', $awpagids);
update_option('aw_home_show', $_POST['aw_home_show']); 
update_option('aw_home_title', $_POST['aw_home_title']);
update_option('aw_rss_show', $_POST['aw_rss_show']);
update_option('aw_rss_link', $_POST['aw_rss_link']);
update_option('aw_twitter_link', $_POST['aw_twitter_link']);
update_option('aw_copyright_text', $_POST['aw_copyright_text']);
update_option('aw_copyright_link', $_POST['aw_copyright_link']);
?>
<div class="updated"><p><strong><?php _e("Settings Updated.","aw");?></strong></p></div>
<?php } ?>
<div class="wrap">
	<div id="icon-themes" class="icon32"><br /></div>
<h2><?php _e('Theme options','aw'); ?></h2>
	<br class="clear" />
<form method="post" action="<?php echo $_SERVER['REQUEST_URI']; ?>">
<h3><?php _e('Navigation','aw'); ?></h3>

<p><strong><?php _e('Categories','aw'); ?></strong></p>
<p><?php _e('Include categories to appear in the category section of top navigation.','aw'); ?></p>
<?php $args=array('orderby' => 'name','order' => 'ASC'); $categories=get_categories($args); 
foreach($categories as $category) {
?>
<input type="checkbox" name="aw_category_ids[]" id="aw_category_<?php echo $category->term_id; ?>" 
value="<?php echo $category->term_id; ?>" <?php $catids = explode(",", get_option('aw_category_ids'));
if (in_array($category->term_id,$catids)) echo('checked="checked"'); ?> /> <?php echo $category->name; ?><br />
<?php } ?>

<p><strong><?php _e('Pages','aw'); ?></strong></p>
<p><?php _e('Include pages to appear in the page section of top navigation.','aw'); ?></p>
<?php $args=array('sort_order' => 'ASC'); $aw_pages=get_pages($args); 
foreach($aw_pages as $aw_page) {
?>
<input type="checkbox" name="aw_page_ids[]" id="aw_page_<?php echo $aw_page->ID; ?>" 
value="<?php echo $aw_page->ID; ?>" <?php $aw_pageids = explode(",", get_option('aw_page_ids'));
if (in_array($aw_page->ID,$aw_pageids)) echo('checked="checked"'); ?> /> <?php echo $aw_page->post_title; ?><br />
<?php } ?>

<p><strong><?php _e('Home page link','aw'); ?></strong></p>
<p><?php _e('Show "Home" link?','aw'); ?></p>
<p><label for="aw_home_show_yes">
<input type="radio" id="aw_home_show_yes" name="aw_home_show" value="true" 
<?php if (get_option('aw_home_show') == "true" || get_option('aw_home_show') == "") { ?> checked="checked" <?php }?> />
<?php _e('Yes','aw'); ?></label>
<label for="aw_home_show_no">
<input type="radio" id="aw_home_show_no" name="aw_home_show" value="false" 
<?php if (get_option('aw_home_show') == "false") { ?> checked="checked" <?php }?> /> <?php _e('No','aw'); ?>
</label></p>

<p><?php _e('Rename "Home" link if you wish.','aw'); ?></p>
<input type="text" name="aw_home_title" value="<?php echo get_option('aw_home_title'); ?>">

<h3><?php _e('RSS','aw'); ?></h3>

<p><?php _e('Show RSS link?','aw'); ?></p>
<p><label for="aw_rss_show_yes">
<input type="radio" id="aw_rss_show_yes" name="aw_rss_show" value="true" 
<?php if (get_option('aw_rss_show') == "true" || get_option('aw_rss_show') == "") { ?> checked="checked" <?php }?> />
<?php _e('Yes','aw'); ?></label>
<label for="aw_rss_showno">
<input type="radio" id="aw_rss_show_no" name="aw_rss_show" value="false" 
<?php if (get_option('aw_rss_show') == "false") { ?> checked="checked" <?php }?> />
<?php _e('No','aw'); ?></label></p>

<p><?php _e('Enter another RSS link instead of the default one (with http://).','aw'); ?></p>
<input type="text" name="aw_rss_link" value="<?php echo get_option('aw_rss_link'); ?>">

<h3><?php _e('Twitter','aw'); ?></h3>
<p><?php _e('Enter the link to your twitter account (with http://).','aw'); ?></p>
<input type="text" name="aw_twitter_link" value="<?php echo get_option('aw_twitter_link'); ?>">

<h3><?php _e('Footer','aw'); ?></h3>
<p><strong><?php _e('Copyright','aw'); ?></strong></p>
<p><?php _e('Enter the text to show after "&copy;". By default appears the blog title.','aw'); ?></p>
<input type="text" name="aw_copyright_text" value="<?php echo get_option('aw_copyright_text'); ?>">
<p><?php _e('Link the copyright text if you wish (with http://).','aw'); ?></p>
<input type="text" name="aw_copyright_link" value="<?php echo get_option('aw_copyright_link'); ?>">

<div class="submit">
<input type="submit" name="update_aw" value="<?php _e('Save Settings', 'aw') ?>" />
</div>

</form>

</div>
<?php }

add_action('admin_menu', 'mytheme_add_admin'); 
load_theme_textdomain('aw');

?>
